devel/p5-Package-Variant - The NetBSD Packages Collection

Perl5 module wrapper for parameterizable packages

This module allows you to build packages that return different variations
depending on what parameters are given.

Users of your package will receive a subroutine able to take parameters and
return the name of a suitable variant package. The implmenetation does not
care about what kind of package it builds.

Build dependencies

devel/p5-Test-Fatal pkgtools/cwrappers

Runtime dependencies

devel/p5-Import-Into devel/p5-Module-Runtime devel/p5-strictures lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfp5-Package-Variant-1.003002nb5.tgz
NetBSD 8.0earmv7hfp5-Package-Variant-1.003002nb5.tgz
NetBSD 8.0earmv7hfp5-Package-Variant-1.003002nb5.tgz
NetBSD 8.0i386p5-Package-Variant-1.003002nb5.tgz
NetBSD 8.0i386p5-Package-Variant-1.003002nb5.tgz
NetBSD 8.0i386p5-Package-Variant-1.003002nb5.tgz
NetBSD 8.0powerpcp5-Package-Variant-1.003002nb5.tgz
NetBSD 8.0powerpcp5-Package-Variant-1.003002nb5.tgz
NetBSD 8.0powerpcp5-Package-Variant-1.003002nb5.tgz
NetBSD 8.0x86_64p5-Package-Variant-1.003002nb5.tgz
NetBSD 8.0x86_64p5-Package-Variant-1.003002nb5.tgz
NetBSD 9.0aarch64p5-Package-Variant-1.003002nb5.tgz
NetBSD 9.0aarch64p5-Package-Variant-1.003002nb5.tgz
NetBSD 9.0aarch64p5-Package-Variant-1.003002nb5.tgz
NetBSD 9.0alphap5-Package-Variant-1.003002nb5.tgz
NetBSD 9.0alphap5-Package-Variant-1.003002nb5.tgz
NetBSD 9.0alphap5-Package-Variant-1.003002nb5.tgz
NetBSD 9.0earmp5-Package-Variant-1.003002nb5.tgz
NetBSD 9.0earmp5-Package-Variant-1.003002nb5.tgz
NetBSD 9.0earmp5-Package-Variant-1.003002nb5.tgz
NetBSD 9.0earmv6hfp5-Package-Variant-1.003002nb5.tgz
NetBSD 9.0earmv6hfp5-Package-Variant-1.003002nb5.tgz
NetBSD 9.0earmv6hfp5-Package-Variant-1.003002nb5.tgz
NetBSD 9.0earmv6hfp5-Package-Variant-1.003002nb5.tgz
NetBSD 9.0earmv7hfp5-Package-Variant-1.003002nb5.tgz
NetBSD 9.0earmv7hfp5-Package-Variant-1.003002nb5.tgz
NetBSD 9.0earmv7hfp5-Package-Variant-1.003002nb5.tgz
NetBSD 9.0earmv7hfp5-Package-Variant-1.003002nb5.tgz
NetBSD 9.0i386p5-Package-Variant-1.003002nb5.tgz
NetBSD 9.0i386p5-Package-Variant-1.003002nb5.tgz
NetBSD 9.0m68kp5-Package-Variant-1.003002nb5.tgz
NetBSD 9.0m68kp5-Package-Variant-1.003002nb5.tgz
NetBSD 9.0m68kp5-Package-Variant-1.003002nb5.tgz
NetBSD 9.0mips64ebp5-Package-Variant-1.003002nb5.tgz
NetBSD 9.0mips64ebp5-Package-Variant-1.003002nb5.tgz
NetBSD 9.0mips64ebp5-Package-Variant-1.003002nb5.tgz
NetBSD 9.0mipselp5-Package-Variant-1.003002nb5.tgz
NetBSD 9.0mipselp5-Package-Variant-1.003002nb5.tgz
NetBSD 9.0powerpcp5-Package-Variant-1.003002nb5.tgz
NetBSD 9.0powerpcp5-Package-Variant-1.003002nb5.tgz
NetBSD 9.0sh3elp5-Package-Variant-1.003002nb5.tgz
NetBSD 9.0sh3elp5-Package-Variant-1.003002nb5.tgz
NetBSD 9.0sh3elp5-Package-Variant-1.003002nb5.tgz
NetBSD 9.0sparc64p5-Package-Variant-1.003002nb5.tgz
NetBSD 9.0sparc64p5-Package-Variant-1.003002nb4.tgz
NetBSD 9.0sparc64p5-Package-Variant-1.003002nb5.tgz
NetBSD 9.0sparc64p5-Package-Variant-1.003002nb5.tgz
NetBSD 9.0sparcp5-Package-Variant-1.003002nb5.tgz
NetBSD 9.0sparcp5-Package-Variant-1.003002nb5.tgz
NetBSD 9.0sparcp5-Package-Variant-1.003002nb5.tgz
NetBSD 9.0vaxp5-Package-Variant-1.003002nb5.tgz
NetBSD 9.0vaxp5-Package-Variant-1.003002nb5.tgz
NetBSD 9.0x86_64p5-Package-Variant-1.003002nb5.tgz
NetBSD 9.0x86_64p5-Package-Variant-1.003002nb5.tgz
NetBSD 9.0x86_64p5-Package-Variant-1.003002nb5.tgz
NetBSD 9.0x86_64p5-Package-Variant-1.003002nb5.tgz
NetBSD 9.0x86_64p5-Package-Variant-1.003002nb5.tgz
NetBSD 9.0x86_64p5-Package-Variant-1.003002nb5.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.